com.sun.source.tree

## Interface TryTree

All Superinterfaces:
  StatementTree, Tree

    public interface TryTree
    extends StatementTree

A tree node for a 'try' statement. For example:

       try
           block
       catches
       finally
           finallyBlock

Since:
  1.6
See Also:
  "The Java Language Specification, 3rd ed, section 14.20"

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

Methods
`BlockTree` `getBlock()`
`List<? extends CatchTree>` `getCatches()`
`BlockTree` `getFinallyBlock()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getBlock

    BlockTree getBlock()

#### getCatches

    List<? extends CatchTree> getCatches()

#### getFinallyBlock

    BlockTree getFinallyBlock()

Copyright © 2005, 2014, Oracle and/or its affiliates. All rights reserved.